Bug 247010 (qt5-5.15.0) - [exp-run] Update Qt5 to 5.15.0
Summary: [exp-run] Update Qt5 to 5.15.0
Status: Closed FIXED
Alias: qt5-5.15.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/freebsd/freebsd-po...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-05 17:25 UTC by Tobias C. Berner
Modified: 2020-07-06 06:47 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (381.81 KB, patch)
2020-06-05 17:25 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-06-05 17:25:59 UTC
Created attachment 215262 [details]
v1

Moin moin 


kde@ would like to ask for an exp-run to upgrade Qt5 to 5.15.0.
Lot's of fixes have already been committed to the tree, so this hopefully is more or less fallout-free (<=5 :D)

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/qt5-5.15.0.v1.diff


mfg Tobias
Comment 2 Jesper Schmitz Mouridsen freebsd_committer 2020-06-22 10:02:24 UTC
(In reply to Antoine Brodin from comment #1)
FWIW the lxqt ports where updated to lxqt 0.15.0 done in ports r539723
Comment 3 Tobias C. Berner freebsd_committer 2020-06-22 15:13:09 UTC
(In reply to Jesper Schmitz Mouridsen from comment #2)

Moin moin

Indeed, lxqt*0.15.0 seems to build fine for me.


mfg Tobias
Comment 4 commit-hook freebsd_committer 2020-06-23 15:45:47 UTC
A commit references this bug:

Author: lbartoletti
Date: Tue Jun 23 15:44:50 UTC 2020
New revision: 539979
URL: https://svnweb.freebsd.org/changeset/ports/539979

Log:
  cad/freecad: Prepare for Qt5.1.5

  PR:             247010
  Approved by:    tcberner (mentor, implicit)
  Differential Revision:  https://reviews.freebsd.org/D25405

Changes:
  head/cad/freecad/files/patch-src_Mod_Image_Gui_OpenGLImageBox.cpp
Comment 5 commit-hook freebsd_committer 2020-06-23 15:46:49 UTC
A commit references this bug:

Author: lbartoletti
Date: Tue Jun 23 15:46:18 UTC 2020
New revision: 539980
URL: https://svnweb.freebsd.org/changeset/ports/539980

Log:
  multimedia/avidemux-qt5: Prepare for Qt5.15

  PR:             247010
  Approved by:    tcberner (mentor, implicit)
  Differential Revision:  https://reviews.freebsd.org/D25407

Changes:
  head/multimedia/avidemux/distinfo
  head/multimedia/avidemux-qt5/Makefile
Comment 6 commit-hook freebsd_committer 2020-06-23 15:49:51 UTC
A commit references this bug:

Author: lbartoletti
Date: Tue Jun 23 15:49:31 UTC 2020
New revision: 539981
URL: https://svnweb.freebsd.org/changeset/ports/539981

Log:
  science/elmerfem: Prepare for Qt5.15

  PR:             247010
  Approved by:    tcberner (mentor, implicit)
  Differential Revision:  https://reviews.freebsd.org/D25412

Changes:
  head/science/elmerfem/files/patch-ElmerGUI_Application_twod_renderarea.cpp
Comment 7 commit-hook freebsd_committer 2020-06-24 09:11:59 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed Jun 24 09:11:46 UTC 2020
New revision: 540019
URL: https://svnweb.freebsd.org/changeset/ports/540019

Log:
  cad/ktechlab: : Prepare for Qt5.15

  PR:             247010
  Approved by:    tcberner (mentor, implicit)

Changes:
  head/cad/ktechlab/files/patch-src_canvasitems.cpp
  head/cad/ktechlab/files/patch-src_electronics_components_probe.cpp
  head/cad/ktechlab/files/patch-src_electronics_components_rotoswitch.cpp
  head/cad/ktechlab/files/patch-src_mechanics_chassiscircular2.cpp
Comment 8 commit-hook freebsd_committer 2020-06-24 12:53:43 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed Jun 24 12:52:50 UTC 2020
New revision: 540059
URL: https://svnweb.freebsd.org/changeset/ports/540059

Log:
  emulators/qmc2: : Prepare for Qt5.15

  PR:             247010
  Approved by:    tcberner (mentor, implicit)

Changes:
  head/emulators/qmc2/files/patch-qmc2_softwareimagewidget.cpp
Comment 9 Loïc Bartoletti freebsd_committer 2020-06-24 13:03:07 UTC
Antoine,
Normally it's now "fallout-free" lxqt was already fixed in ports r539723
Comment 11 commit-hook freebsd_committer 2020-07-03 06:16:42 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jul  3 06:16:09 UTC 2020
New revision: 541074
URL: https://svnweb.freebsd.org/changeset/ports/541074

Log:
  audio/muse-sequencer: re-prepare for Qt5-5.15

  PR:		247010

Changes:
  head/audio/muse-sequencer/files/patch-muse_mixer_routedialog.cpp
Comment 12 Antoine Brodin freebsd_committer 2020-07-06 05:49:44 UTC
Exp-run looks fine
Comment 13 commit-hook freebsd_committer 2020-07-06 06:44:30 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jul  6 06:43:43 UTC 2020
New revision: 541318
URL: https://svnweb.freebsd.org/changeset/ports/541318

Log:
  Update Qt5 to 5.15

  This is a major upgrade of the Qt libraries [1], [2].

  * People that use upgrading mechanisms with incomplete dependency handling
    (portmaster & Co) should make sure to manually remove the existing Qt
    packages to guarantee a safe upgrade. Keep in mind, that Qt does not like if
    you have an incomplete upgrade.

  * This version of Qt drops support for OpenSSL 1.0 -- this means that there
    won't be any binary packages for Qt5 provided by the FreeBSD package builders
    for FreeBSD 11.x anymore -- and the same for *all* the ports depending on
    net/qt5-network [3]. If you cannot upgrade to a more recent FreeBSD
    version (12.x, 13.x), you will need to build Qt5 from ports while switching
    to an SSL implementation from ports.

  Big thanks are due for
  * kai@ for updating webengine (also mikael@)
  * Felix Palmen for providing LibreSSL support patches
  * adridg@ and lbartoletti@ for helping me fix the fallout

  [1] https://www.qt.io/blog/qt-5.15-released
  [2] https://wiki.qt.io/New_Features_in_Qt_5.15
  [3] https://www.freshports.org/net/qt5-network

  PR:		247010
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/qt.mk
  head/comms/qt5-connectivity/pkg-plist
  head/comms/qt5-serialbus/pkg-plist
  head/databases/qt5-sqldrivers-mysql/files/patch-src_plugins_sqldrivers_mysql_qsql__mysql.cpp
  head/devel/qt5/distinfo
  head/devel/qt5-assistant/pkg-plist
  head/devel/qt5-buildtools/pkg-plist
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/files/patch-git_276fa83
  head/devel/qt5-core/files/patch-src_corelib_time_qtimezoneprivate__tz.cpp
  head/devel/qt5-core/pkg-plist
  head/devel/qt5-dbus/pkg-plist
  head/devel/qt5-designer/pkg-plist
  head/devel/qt5-help/Makefile
  head/devel/qt5-help/pkg-plist
  head/devel/qt5-linguist/pkg-plist
  head/devel/qt5-linguisttools/pkg-plist
  head/devel/qt5-location/pkg-plist
  head/devel/qt5-qdbus/pkg-plist
  head/devel/qt5-qdbusviewer/pkg-plist
  head/devel/qt5-qdoc/Makefile
  head/devel/qt5-qdoc/pkg-plist
  head/devel/qt5-qmake/pkg-plist
  head/devel/qt5-remoteobjects/pkg-plist
  head/devel/qt5-scxml/pkg-plist
  head/devel/qt5-testlib/pkg-plist
  head/graphics/qt5-3d/pkg-plist
  head/graphics/qt5-pixeltool/pkg-plist
  head/graphics/qt5-wayland/pkg-plist
  head/misc/qt5-examples/distinfo
  head/misc/qt5-examples/pkg-plist
  head/multimedia/qt5-multimedia/pkg-plist
  head/net/qt5-network/Makefile
  head/net/qt5-network/files/patch-qsslsocket_openssl11_symbols_p.h
  head/net/qt5-network/files/patch-src_network_ssl_qsslcontext__openssl.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslcontext_openssl.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols__p.h
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket_openssl.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket_openssl_symbols.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket_openssl_symbols_p.h
  head/net/qt5-network/pkg-plist
  head/sysutils/qt5-qtdiag/Makefile
  head/sysutils/qt5-qtdiag/files/
  head/sysutils/qt5-qtdiag/files/patch-src_src.pro
  head/sysutils/qt5-qtdiag/pkg-plist
  head/sysutils/qt5-qtpaths/Makefile
  head/sysutils/qt5-qtpaths/files/
  head/sysutils/qt5-qtpaths/files/patch-src_src.pro
  head/sysutils/qt5-qtpaths/pkg-plist
  head/sysutils/qt5-qtplugininfo/Makefile
  head/sysutils/qt5-qtplugininfo/files/
  head/sysutils/qt5-qtplugininfo/files/patch-src_src.pro
  head/sysutils/qt5-qtplugininfo/pkg-plist
  head/textproc/qt5-xml/pkg-plist
  head/textproc/qt5-xmlpatterns/pkg-plist
  head/www/qt5-webengine/Makefile
  head/www/qt5-webengine/distinfo
  head/www/qt5-webengine/files/patch-configure.pri
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_allocator_partition__allocator_partition__alloc.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_debug_elf__reader.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_files_file__path__watcher__kqueue.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_i18n_icu__util.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_linux__util.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_memory_madv__free__discardable__memory__posix.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_memory_protected__memory__posix.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_profiler_register__context.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_profiler_sampling__profiler__thread__token.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_profiler_sampling__profiler__thread__token.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_profiler_stack__copier__signal.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_profiler_thread__delegate__posix.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_security__unittest.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_strings_string__number__conversions__unittest.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_synchronization_lock__impl.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_system_sys__info.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_system_sys__info__freebsd.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_base_third__party_dmg__fp_dtoa.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_build_config_compiler_BUILD.gn
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_build_config_features.gni
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_build_linux_unbundle_libxml.gn
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_chrome_app_theme_chrome__unscaled__resources.grd
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_chrome_browser_ui_webui_chrome__web__ui__controller__factory.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_chrome_common_chrome__paths.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_chrome_common_webui__url__constants.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_chrome_common_webui__url__constants.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_components_crash_content_app_BUILD.gn
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_components_crash_core_common_BUILD.gn
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_components_neterror_resources_neterror.js
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_components_safe__browsing_db_util__unittest.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_builtin__service__manifests.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_compositor_gpu__process__transport__factory.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_compositor_software__browser__compositor__output__surface.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_compositor_software__browser__compositor__output__surface.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_devtools_protocol_system__info__handler.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_ppapi__plugin__process__host__receiver__bindings.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_renderer__host_render__process__host__impl.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_service__manager_service__manager__context.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_browser_utility__process__host.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_gpu_gpu__main.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_ppapi__plugin_ppapi__blink__platform__impl.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_public_app_v8__snapshot__overlay__manifest.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_public_common_common__param__traits__macros.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_public_common_content__features.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_renderer_render__thread__impl.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_renderer_renderer__blink__platform__impl.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_renderer_renderer__blink__platform__impl.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_content_utility_utility__blink__platform__with__sandbox__support__impl.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_device_gamepad_hid__writer__linux.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_extensions_browser_browser__context__keyed__service__factories.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_gpu_command__buffer_service_external__vk__image__backing.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_gpu_command__buffer_service_external__vk__image__backing.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_gpu_ipc_common_gpu__memory__buffer__support.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_gpu_ipc_service_gpu__init.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_gpu_ipc_service_gpu__watchdog__thread.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_gpu_ipc_service_gpu__watchdog__thread.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_gpu_vulkan_vulkan__function__pointers.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_base_video__frame.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_base_video__frame.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_capture_video_linux_video__capture__device__factory__linux.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_capture_video_linux_video__capture__device__linux.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_capture_video_mock__gpu__memory__buffer__manager.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_capture_video_shared__memory__handle__provider.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_capture_video_shared__memory__handle__provider.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_gpu_buffer__validation.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_gpu_chromeos_libyuv__image__processor.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_gpu_libyuv__image__processor.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_gpu_linux_platform__video__frame__utils.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_mojo_clients_mojo__video__encode__accelerator.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_mojo_interfaces_video__frame__struct__traits.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_mojo_mojom_video__frame__mojom__traits.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_renderers_paint__canvas__video__renderer.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_video_fake__gpu__memory__buffer.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_webrtc_webrtc__switches.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_mojo_public_c_system_thunks.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_net_BUILD.gn
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_net_base_address__tracker__linux.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_pdf_pdfium_pdfium__engine.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_printing_backend_print__backend__cups.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_services_content_simple__browser_simple__browser__service.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_services_content_simple__browser_simple__browser__service.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_services_device_geolocation_location__arbitrator.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_services_device_time__zone__monitor_time__zone__monitor.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_services_service__manager_sandbox_sandbox__type.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_services_tracing_public_cpp_perfetto_trace__event__data__source.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_services_video__capture_broadcasting__receiver.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_angle_BUILD.gn
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_angle_src_libANGLE_Display.cpp
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_angle_src_libANGLE_renderer_vulkan_DisplayVk__api.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_angle_third__party_vulkan-loader_src_loader_loader.c
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_angle_third__party_vulkan-loader_src_loader_vk__loader__platform.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_blink_renderer_core_scroll_scrollbar__theme__aura.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_blink_renderer_modules_mediastream_processed__local__audio__source.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_blink_renderer_platform_fonts_font__cache.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_blink_renderer_platform_fonts_font__cache.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_flatbuffers_src_include_flatbuffers_base.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_flatbuffers_src_include_flatbuffers_minireflect.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_perfetto_include_perfetto_base_time.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_perfetto_include_perfetto_ext_base_time.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_skia_src_opts_SkRasterPipeline__opts.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_webrtc_common__audio_wav__file.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_webrtc_rtc__base_third__party_sigslot_sigslot.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_base_webui_web__ui__util.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_base_x_x11__shm__image__pool__base.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_compositor_compositor.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_compositor_compositor.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_compositor_compositor__observer.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_compositor_host_host__context__factory__private.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_color__analysis.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_font__util.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_gpu__memory__buffer.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_ipc_gfx__param__traits__macros.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_mojo_buffer__types__struct__traits.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_mojo_buffer__types__struct__traits.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_mojom_buffer__types__mojom__traits.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_mojom_buffer__types__mojom__traits.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_native__pixmap__handle.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gfx_native__pixmap__handle.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gl_gl__bindings__autogen__glx.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_gl_gl__surface__glx.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_platform__window_platform__window__init__properties.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_views_style_platform__style.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_views_views__delegate.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_views_views__delegate.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_views_widget_desktop__aura_desktop__window__tree__host__platform.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_views_widget_desktop__aura_desktop__window__tree__host__platform.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_views_widget_native__widget__aura.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_views_window_dialog__delegate.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_ui_views_window_frame__background.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_v8_include_v8config.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_v8_src_api_api.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_v8_src_codegen_arm_cpu-arm.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_v8_src_libsampler_sampler.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_v8_src_trap-handler_handler-inside-posix.cc
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_v8_src_trap-handler_handler-inside-posix.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_v8_src_trap-handler_trap-handler.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_v8_test_BUILD.gn
  head/www/qt5-webengine/files/patch-src_3rdparty_gn_build_gen.py
  head/www/qt5-webengine/files/patch-src_buildtools_config_support.pri
  head/www/qt5-webengine/files/patch-src_core_api_core__api.pro
  head/www/qt5-webengine/files/patch-src_pdf_pdfcore.pro
  head/www/qt5-webengine/pkg-plist
  head/www/qt5-webkit/Makefile
  head/x11/qt5-qev/Makefile
  head/x11/qt5-qev/files/
  head/x11/qt5-qev/files/patch-src_src.pro
  head/x11/qt5-qev/pkg-plist
  head/x11-themes/qt5-style-plugins/Makefile
  head/x11-toolkits/qt5-declarative/pkg-plist
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quickcontrols2/pkg-plist
  head/x11-toolkits/qt5-widgets/pkg-plist
Comment 14 Tobias C. Berner freebsd_committer 2020-07-06 06:47:46 UTC
Committed. Thanks for the exp-run.